//---------------------------------------------------------------------------
#ifndef VetaH
#define VetaH
//---------------------------------------------------------------------------
typedef struct{
//Nie je uvedena vizibilita, ale struct ju ma by default public.
//Miesto pre 1 interpunkcny znak plus znak '\0'.
	char InterpunkciaPredSlovom[2];
//Slovo moze mat maximalne 29 pismen.
	char* Slovo;
//Miesto pre 2 interpunkcne znaky plus znak '\0'.
	char InterpunkciaPoSlove[3];
} SlovoStruct;

class VetaClass{
//Nie je uvedena vizibilita, ale class ju ma by default private.
    SlovoStruct Slova[150];
public:
//Konstruktor.
    VetaClass();
//Destruktor.
    ~VetaClass();
//Data typu public.
    unsigned PocetSlov;
//Pretazenie operatorov nacitania a vypisu textu.
    friend istream& operator>>(istream&,VetaClass*);
    friend ostream& operator<<(ostream&,VetaClass*);
//Uzivatelia nemaju pristum k privatnym datam, t. j., mozu pracovat iba s vetou
//ako celkom. Pre pristup k jednotlivym slovam potrebuju nasledujucu funkciu.
    char* DajSlovo(unsigned);
};
#endif
